import React, { Suspense } from 'react';

export interface AppProps {
  children?: React.ReactNode;
}

const App: React.FC<AppProps> = ({ children }) => {
  return <Suspense fallback={'loading...'}>{children}</Suspense>;
};

export const StaticApp: React.FC<AppProps> = ({ children }) => {
  return <>{children}</>;
};

export default App;
