import React from 'react';

import BannerContainer from '@digigov/ui/app/BannerContainer';
import Button, { ButtonGroup } from '@digigov/ui/form/Button';
import { Container } from '@digigov/ui/layouts/Basic/Container';
import { Main } from '@digigov/ui/layouts/Basic/Main';
import { Heading } from '@digigov/ui/typography/Heading';
import { Paragraph } from '@digigov/ui/typography/Paragraph';

export const CookiesBanner = () => {
  return (
    <BannerContainer>
      <Container>
        <Main>
          <Heading size="md">Cookies στο GOV.GR</Heading>
          <Paragraph>
            Επιλέξτε «Αποδοχή» για να συμφωνήσετε με τη χρήση των cookies και
            την επεξεργασία των προσωπικών σας δεδομένων.
          </Paragraph>
          <Paragraph>
            <Button variant="link">Όροι και Προϋποθέσεις</Button>
          </Paragraph>
          <ButtonGroup>
            <Button>Αποδοχή</Button>
            <Button>Απόρριψη</Button>
          </ButtonGroup>
        </Main>
      </Container>
    </BannerContainer>
  );
};

export default CookiesBanner;
