import React from 'react';
import {
  Footer,
  FooterContainer,
  FooterInfo,
  FooterInfoSection,
  FooterContent,
  FooterList,
  FooterListItem,
  FooterLink,
} from '@digigov/ui/app/Footer';
import Copyright from '@digigov/ui/govgr/Footer/Copyright';
import HellenicRepublicLogo from '@digigov/ui/govgr/Footer/HellenicRepublicLogo';
import Link from '@digigov/ui/navigation/Link';
import VisuallyHidden from '@digigov/ui/utils/VisuallyHidden';

export const FooterWithLink = () => {
  return (
    <Footer>
      <FooterContainer>
        <FooterInfo>
          <FooterInfoSection grow aria-label="footer info section">
            <FooterContent>
              <VisuallyHidden>Περισσότερες επιλογές</VisuallyHidden>
              <FooterList layout="horizontal">
                <FooterListItem>
                  <FooterLink href="#">Όροι και Προϋποθέσεις</FooterLink>
                </FooterListItem>
                <FooterListItem>
                  <FooterLink href="#">Σχετικά με το gov.gr</FooterLink>
                </FooterListItem>
              </FooterList>
              <Copyright>
                {`Υλοποίηση από το `}
                <Link href="https://grnet.gr/" target="_blank">
                  ΕΔΥΤΕ
                  <VisuallyHidden>
                    {` (ανοίγει σε καινούρια καρτέλα)`}
                  </VisuallyHidden>
                </Link>
                {` για το `}
                <Link href="https://mindigital.gr/" target="_blank">
                  Υπουργείο Ψηφιακής Διακυβέρνησης
                  <VisuallyHidden>
                    {` (ανοίγει σε καινούρια καρτέλα)`}
                  </VisuallyHidden>
                </Link>
              </Copyright>
            </FooterContent>
          </FooterInfoSection>
          <FooterInfoSection>
            <HellenicRepublicLogo></HellenicRepublicLogo>
          </FooterInfoSection>
        </FooterInfo>
      </FooterContainer>
    </Footer>
  );
};

export default FooterWithLink;
