import React from 'react';

import {
  Footer,
  FooterContainer,
  FooterInfo,
  FooterInfoSection,
  FooterContent,
  FooterList,
  FooterListItem,
  FooterLink,
} from '@digigov/ui/app/Footer';
import { Copyright, getCopyright } from '@digigov/ui/govgr/Footer/Copyright';
import { HellenicRepublicLogo } from '@digigov/ui/govgr/Footer/HellenicRepublicLogo';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const YearCopyright = () => {
  return (
    <Footer>
      <FooterContainer>
        <FooterInfo>
          <FooterInfoSection grow aria-label="footer info section">
            <FooterContent>
              <VisuallyHidden>Περισσότερες επιλογές</VisuallyHidden>
              <FooterList layout="horizontal">
                <FooterListItem>
                  <FooterLink href="#">Όροι και Προϋποθέσεις</FooterLink>
                </FooterListItem>
              </FooterList>
              <Copyright copyright={getCopyright()} />
            </FooterContent>
          </FooterInfoSection>
          <FooterInfoSection>
            <HellenicRepublicLogo></HellenicRepublicLogo>
          </FooterInfoSection>
        </FooterInfo>
      </FooterContainer>
    </Footer>
  );
};

export default YearCopyright;
