import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { AlertDialog } from '@digigov/ui/app/Modal/__stories__/AlertDialog';
import { Auto } from '@digigov/ui/app/Modal/__stories__/Auto';
import { Default } from '@digigov/ui/app/Modal/__stories__/Default';
import { Dense } from '@digigov/ui/app/Modal/__stories__/Dense';
import { WithHooks } from '@digigov/ui/app/Modal/__stories__/WithHooks';
import { WithoutModalGaps } from '@digigov/ui/app/Modal/__stories__/WithoutModalGaps';

test('renders the All Modal variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="AlertDialog">
      <AlertDialog />
    </TestVariant>
    <TestVariant title="Auto">
      <Auto />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
    <TestVariant title="WithHooks">
      <WithHooks />
    </TestVariant>
    <TestVariant title="WithoutModalGaps">
      <WithoutModalGaps />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
