import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';

import { Auto } from '@digigov/ui/app/Modal/__stories__/Auto';
import { Dense } from '@digigov/ui/app/Modal/__stories__/Dense';
import { WithHooks } from '@digigov/ui/app/Modal/__stories__/WithHooks';

test('renders the Auto Click modal', async ({ mount, page }) => {
  await mount(<Auto />);
  await page.evaluate(() => document.fonts.ready);
  await page.locator('#root>div>button:nth-child(1)').click();
  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});

test('renders the Dense Open modal', async ({ mount, page }) => {
  await mount(<Dense />);
  await page.evaluate(() => document.fonts.ready);
  await page.locator('#root>div>button').click();
  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});

test('renders the WithHooks Click modal with hooks', async ({
  mount,
  page,
}) => {
  await mount(<WithHooks />);
  await page.evaluate(() => document.fonts.ready);
  await page.locator('#root>div>button').click();
  const screenshot = await page.screenshot({
    fullPage: true,
    animations: 'disabled',
  });
  expect(screenshot).toMatchSnapshot();
});
