import React from 'react';
import PageTitleContainer from '@digigov/react-core/PageTitleContainer';
import PageTitleHeading from '@digigov/react-core/PageTitleHeading';
import Paragraph from '@digigov/react-core/Paragraph';
import { useTranslation } from '@digigov/ui/i18n';

export const NotFound: React.FC = () => {
  const { t } = useTranslation();
  return (
    <>
      <PageTitleContainer>
        <PageTitleHeading>{t('notfound.page_not_found')}</PageTitleHeading>
      </PageTitleContainer>
      <Paragraph>{t('notfound.wrong_key_address')}</Paragraph>
      <Paragraph>{t('notfound.wrong_cp_address')}</Paragraph>
      <Paragraph>{t('notfound.service_contact')}</Paragraph>
    </>
  );
};

export default NotFound;
