import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Custom } from '@digigov/ui/app/QrCodeViewer/__stories__/Custom';
import { Default } from '@digigov/ui/app/QrCodeViewer/__stories__/Default';

test('renders the All QrCodeViewer variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Custom">
      <Custom />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
