import type { CSSProperties } from 'react';
import qrcodegen from '@digigov/ui/app/QrCodeViewer/qrcodegen';

export interface QRProps {
  value: string;
  size?: number;
  // Should be a real enum, but doesn't seem to be compatible with real code.
  level?: string;
  bgColor?: string;
  fgColor?: string;
  style?: CSSProperties;
  includeMargin?: boolean;
  imageSettings?: ImageSettings;
}

export type QRPropsCanvas = QRProps &
  React.CanvasHTMLAttributes<HTMLCanvasElement>;

export type Modules = ReturnType<qrcodegen.QrCode['getModules']>;

export interface Excavation {
  x: number;
  y: number;
  w: number;
  h: number;
}

export interface ImageSettings {
  src: string;
  height: number;
  width: number;
  excavate: boolean;
  x?: number;
  y?: number;
}
