import useVariantVars, {
  UseVariantVarsResult,
} from '@digigov/ui/app/hooks/useVariantVars';

export type FontSizeOptions = 'default' | 'large';
export type StoredFontSizeOptions = FontSizeOptions | null;

export type UseFontSizeResult = UseVariantVarsResult<FontSizeOptions>;

export const useFontSize = (): UseFontSizeResult => {
  const config = {
    name: 'font-size',
    variables: [
      'text-sm',
      'text-base',
      'text-lg',
      'text-xl',
      'text-2xl',
      'text-3xl',
      'text-4xl',
      'text-5xl',
    ],
    variants: ['default', 'large'],
  };
  return useVariantVars(config);
};

export default useFontSize;
