import useVariantVars, {
  UseVariantVarsResult,
} from '@digigov/ui/app/hooks/useVariantVars';

export type LetterSpacingOptions = 'default' | 'extra';
export type StoredLetterSpacingOptions = LetterSpacingOptions | null;

export type UseLetterSpacingResult = UseVariantVarsResult<LetterSpacingOptions>;

export const useLetterSpacing = (): UseLetterSpacingResult => {
  const config = {
    name: 'letter-spacing',
    variables: [
      'letter-spacing-normal',
      'letter-spacing-wide',
      'letter-spacing-wider',
      'letter-spacing-widest',
    ],
    variants: ['default', 'extra'],
  };

  return useVariantVars(config);
};

export default useLetterSpacing;
