import useVariantVars, {
  UseVariantVarsResult,
} from '@digigov/ui/app/hooks/useVariantVars';

export type LineHeightOptions = 'default' | 'large';
export type StoredLineHeightOptions = LineHeightOptions | null;

export type UseLineHeightResult = UseVariantVarsResult<LineHeightOptions>;

export const useLineHeight = (): UseLineHeightResult => {
  const config = {
    name: 'line-height',
    variables: [
      'line-h-sm',
      'line-h-base',
      'line-h-lg',
      'line-h-xl',
      'line-h-2xl',
      'line-h-3xl',
      'line-h-4xl',
      'line-h-5xl',
    ],
    variants: ['default', 'large'],
  };
  return useVariantVars(config);
};

export default useLineHeight;
