import * as React from 'react';
import { render } from '@testing-library/react';

import {
  Accordion,
  AccordionSection,
  AccordionSectionSummary,
  AccordionSectionSummaryHeading,
  AccordionSectionContent,
} from '@digigov/ui/content/Accordion';
import { List } from '@digigov/ui/content/List/List';
import { ListItem } from '@digigov/ui/content/List/ListItem';
import { Link } from '@digigov/ui/navigation/Link';
import { Paragraph } from '@digigov/ui/typography/Paragraph';

it('renders the Accordion', () => {
  expect(
    render(
      <Accordion>
        <AccordionSection open>
          <AccordionSectionSummary>
            <AccordionSectionSummaryHeading aria-controls="content1">
              Διαφορές με το δημόσιο
            </AccordionSectionSummaryHeading>
          </AccordionSectionSummary>
          <AccordionSectionContent id="content1">
            <Paragraph>
              Παρακάτω μπορείτε να δείτε την διαθέσιμη και ενεργή υπηρεσία που
              αφορά το επιλεγμένο γεγονός ζωής.
            </Paragraph>
            <List>
              <ListItem>
                <Link>
                  Αίτηση εξώδικης αναγνώρισης απαιτήσεων / συμβιβαστικής
                  επίλυσης διαφορών με το Δημόσιο
                </Link>
              </ListItem>
            </List>
          </AccordionSectionContent>
        </AccordionSection>
      </Accordion>
    ).baseElement
  ).toMatchSnapshot();
});
