import React from 'react';
import { useMarkdownToHTML } from '@digigov/ui/content/Markdown/useMarkdownToHTML';
import SafeHTML from '@digigov/ui/content/SafeHTML';

export const Markdown = ({
  children,
  content,
}: {
  children?: React.ReactNode;
  content?: string;
}) => {
  content = content || (children as string);

  const html = useMarkdownToHTML(content);
  return <SafeHTML content={html} />;
};

export default Markdown;
