import React from 'react';

import {
  SummaryList,
  SummaryListItem,
  SummaryListItemAction,
  SummaryListItemKey,
  SummaryListItemValue,
  WidthValues,
} from '@digigov/ui/content/SummaryList';

import { Link } from '@digigov/ui/navigation/Link';

const data = [
  {
    key: 'Όνομα',
    value: 'Γιώργος Παπαδόπουλος',
    action: 'Αλλαγή',
  },
  {
    key: 'Ημερομηνία Γέννησης',
    value: '11 Μαϊου 1990',
    action: 'Αλλαγή Ημερομηνίας',
  },
  {
    key: 'Κινητό τηλέφωνο επικοινωνίας',
    value: '6941234567',
    action: 'Αλλαγή',
  },
];

export const SummaryListExample = ({
  sm,
  md,
  lg,
  border = true,
  noLastBorder = false,
  itemBorder = true,
  showKey = true,
  showValue = true,
  showActions = true,
}: {
  sm?: WidthValues;
  md?: WidthValues;
  lg?: WidthValues;
  border?: boolean;
  noLastBorder?: boolean;
  itemBorder?: boolean;
  showKey?: boolean;
  showValue?: boolean;
  showActions?: boolean;
}) => (
  <SummaryList border={border} noLastBorder={noLastBorder}>
    {data &&
      data.map((item, index) => (
        <SummaryListItem key={index} border={itemBorder}>
          {showKey && (
            <SummaryListItemKey sm={sm} md={md} lg={lg}>
              {item.key}
            </SummaryListItemKey>
          )}
          {showValue && (
            <SummaryListItemValue>{item.value}</SummaryListItemValue>
          )}
          {showActions && (
            <SummaryListItemAction>
              <Link href="#">{item.action}</Link>
            </SummaryListItemAction>
          )}
        </SummaryListItem>
      ))}
  </SummaryList>
);

export default SummaryListExample;
