import React from 'react';

import {
  TableContainer,
  Table,
  TableCaption,
  TableHead,
  TableRow,
  TableBody,
  TableHeadCell,
  TableDataCell,
} from '@digigov/ui/content/Table';
import Link from '@digigov/ui/navigation/Link';

const data = {
  title: 'Ειδοποιήσεις',
  labels: {
    date: 'Ημερομηνία',
    title: 'Τίτλος',
    actions: 'Ενέργειες',
  },
  content: [
    {
      date: '24-07-23 16:34',
      title: 'Ειδοποίηση',
      actions: 'Λεπτομέρειες',
      new: true,
    },
    {
      date: '24-07-23 12:41',
      title: 'Μήνυμα υπηρεσίας',
      actions: 'Λεπτομέρειες',
      new: true,
    },
    {
      date: '24-07-23 12:40',
      title: 'Μήνυμα από τον διαχειριστή',
      actions: 'Λεπτομέρειες',
      new: false,
    },
    {
      date: '23-07-23 15:14',
      title: 'Έχετε συνδεθεί',
      actions: 'Λεπτομέρειες',
      new: false,
    },
    {
      date: '23-07-23 13:25',
      title: 'Ο κωδικός άλλαξε',
      actions: 'Λεπτομέρειες',
      new: false,
    },
  ],
};

export const RowColors = () => {
  return (
    <TableContainer>
      <Table variant="default">
        {data && (
          <>
            <TableCaption>{data.title}</TableCaption>
            <TableHead>
              <TableRow>
                {data.labels &&
                  Object.keys(data.labels).map((key) => (
                    <TableHeadCell key={key}>{data.labels[key]}</TableHeadCell>
                  ))}
              </TableRow>
            </TableHead>
            <TableBody>
              {data.content &&
                data.content.map((item, index) => (
                  <TableRow
                    key={index}
                    color={item.new ? 'primary' : 'secondary'}
                  >
                    <TableDataCell data-label={data.labels.date}>
                      {item.date}
                    </TableDataCell>
                    <TableDataCell data-label={data.labels.title}>
                      {item.title}
                    </TableDataCell>
                    <TableDataCell data-label={data.labels.actions}>
                      <Link href="#">{item.actions}</Link>
                    </TableDataCell>
                  </TableRow>
                ))}
            </TableBody>
          </>
        )}
      </Table>
    </TableContainer>
  );
};
export default RowColors;
