import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { AssistiveText } from '@digigov/ui/feedback/WarningText/__stories__/AssistiveText';
import { Default } from '@digigov/ui/feedback/WarningText/__stories__/Default';
import { Dense } from '@digigov/ui/feedback/WarningText/__stories__/Dense';

test('renders the All WarningText variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="AssistiveText">
      <AssistiveText />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
