export const keyCodes = {
  13: 'enter',
  27: 'escape',
  32: 'space',
  38: 'up',
  40: 'down',
  8: 'backspace',
};
export function isIosDevice(): boolean | undefined {
  return (
    typeof navigator !== 'undefined' &&
    !!(
      navigator.userAgent?.match(/(iPod|iPhone|iPad)/g) &&
      navigator.userAgent?.match(/AppleWebKit/g)
    )
  );
}
export function isPrintableKeyCode(keyCode: number): boolean {
  return (
    (keyCode > 47 && keyCode < 58) || // number keys
    keyCode === 32 ||
    keyCode === 8 || // spacebar or backspace
    (keyCode > 64 && keyCode < 91) || // letter keys
    (keyCode > 95 && keyCode < 112) || // numpad keys
    (keyCode > 185 && keyCode < 193) || // ;=,-./` (in order)
    (keyCode > 218 && keyCode < 223) // [\]' (in order)
  );
}

/* Helper Utils for __stories__ */
export const results = [
  'Αφγανιστάν',
  'Ακρωτήρι',
  'Αλβανία',
  'Αλγερία',
  'Αμερικανική Σαμόα',
  'Ανδόρα',
  'Αγκόλα',
  'Ανγκουίλα',
  'Ανταρκτική',
  'Αντίγκουα και Μπαρμπούντα',
  'Αργεντινή',
  'Αρμενία',
  'Αρούμπα',
  'Νήσοι Άσμορ και Καρτιέ',
  'Αυστραλία',
  'Αυστρία',
  'Αζερμπαϊτζάν',
  'Μπαχάμες, Οι',
  'Μπαχρέιν',
  'Μπαγκλαντές',
  'Μπαρμπάντος',
  'Ύφαλος Ινδίας',
  'Λευκορωσία',
  'Βέλγιο',
  'Μπελίζ',
  'Μπενίν',
  'Βερμούδες',
  'Μπουτάν',
  'Βολιβία',
  'Βοσνία-Ερζεγοβίνη',
  'Μποτσουάνα',
  'Νησί Μπουβέ',
  'Βραζιλία',
  'Βρετανικό Έδαφος Ινδικού Ωκεανού',
  'Βρετανικές Παρθένοι Νήσοι',
  'Μπρουνέι',
  'Βουλγαρία',
  'Μπουρκίνα Φάσο',
  'Βιρμανία',
  'Μπουρούντι',
  'Καμπότζη',
  'Καμερούν',
  'Καναδάς',
  'Πράσινο Ακρωτήριο',
  'Νήσοι Κέιμαν',
  'Κεντροαφρικανική Δημοκρατία',
  'Τσαντ',
  'Χιλή',
  'Κίνα',
  'Νήσος των Χριστουγέννων',
  'Νήσος Κλίππερτο',
  'Νησιά Κόκος (Κήλινγκ)',
  'Κολομβία',
  'Κομόρες',
  'Κονγκό',
  'Νήσοι Κουκ',
  'Νησιά της Θάλασσας των Κοραλλιών',
  'Κόστα Ρίκα',
  'Ακτή Ελεφαντοστού',
  'Κροατία',
  'Κούβα',
  'Κύπρος',
  'Τσεχική Δημοκρατία',
  'Δανία',
  'Δεκέλεια',
  'Τζιμπουτί',
  'Δομινίκα',
  'Δομινικανή Δημοκρατία',
  'Εκουαδόρ',
  'Αίγυπτος',
  'Ελ Σαλβαδόρ',
  'Ισημερινή Γουινέα',
  'Ερυθραία',
  'Εσθονία',
  'Αιθιοπία',
  'Νήσος Ευρώπη',
  'Νήσοι Φόκλαντ',
  'Νήσοι Φερόες',
  'Φίτζι',
  'Φινλανδία',
  'Γαλλία',
  'Γαλλική Γουιάνα',
  'Γαλλική Πολυνησία',
  ' Γαλλικά Νότια και Ανταρκτικά Εδάφη',
  'Γκαμπόν',
  'Γκάμπια',
  'Λωρίδα της Γάζας',
  'Γεωργία',
  'Γερμανία',
  'Γκάνα',
  'Γιβραλτάρ',
  'Ένδοξες Νήσοι',
  'Ελλάδα',
  'Γροιλανδία',
  'Γρενάδα',
  'Γουαδελούπη',
  'Γκουάμ',
  'Γουατεμάλα',
  'Γκέρνζι',
  'Γουινέα',
  'Γουινέα-Μπισσάου',
  'Γουιάνα',
  'Αϊτή',
  'Χερντ Νήσος και ΜακΝτόναλντ Νήσοι',
  'Αγία Έδρα (Πόλη του Βατικανού)',
  'Ονδούρα',
  'Χονγκ Κονγκ',
  'Ουγγαρία',
  'Ισλανδία',
  'Ινδία',
  'Ινδονησία',
  'Ιράν',
  'Ιράκ',
  'Ιρλανδία',
  'Νήσος Μαν',
  'Ισραήλ',
  'Ιταλία',
  'Τζαμάικα',
  'Γιαν Μάγεν',
  'Ιαπωνία',
  'Τζέρσεϊ',
  'Ιορδανία',
  'Νήσος Χουάν ντε Νόβα',
  'Καζακστάν',
  'Κένυα',
  'Κιριμπάτι',
  'Βόρεια Κορέα',
  'Νότια Κορέα',
  'Κουβέιτ',
  'Κιργιστάν',
  'Λάος',
  'Λετονία',
  'Λίβανος',
  'Λεσότο',
  'Λιβερία',
  'Λιβύη',
  'Λιχτενστάιν',
  'Λιθουανία',
  'Λουξεμβούργο',
  'Μακάο',
  'Μακεδονία',
  'Μαδαγασκάρη',
  'Μαλάουι',
  'Μαλαισία',
  'Μαλδίβες',
  'Μάλι',
  'Μάλτα',
  'Νήσοι Μάρσαλ',
  'Μαρτινίκα',
  'Μαυριτανία',
  'Μαυρίκιος',
  'Μαγιότ',
  'Μεξικό',
  'Μικρονησία, Ομόσπονδες Πολιτείες',
  'Μολδαβία',
  'Μονακό',
  'Μογγολία',
  'Μοντσερά',
  'Μαρόκο',
  'Μοζαμβίκη',
  'Ναμίμπια',
  'Ναουρού',
  'Νήσος Ναβάσα',
  'Νεπάλ',
  'Ολλανδία',
  'Ολλανδικές Αντίλλες',
  'Νέα Καληδονία',
  'Νέα Ζηλανδία',
  'Νικαράγουα',
  'Νίγηρας',
  'Νιγηρία',
  'Νίουε',
  'Νήσος Νόρφολκ',
  'Βόρειες Μαριάνες',
  'Νορβηγία',
  'Ομάν',
  'Πακιστάν',
  'Παλάου',
  'Παναμάς',
  'Παπούα Νέα Γουινέα',
  'Νησιά Παρασέλ',
  'Παραγουάη',
  'Περού',
  'Φιλιππίνες',
  'Νήσοι Πίτκαιρν',
  'Πολωνία',
  'Πορτογαλία',
  'Πουέρτο Ρίκο',
  'Κατάρ',
  'Ρεϋνιόν',
  'Ρουμανία',
  'Ρωσία',
  'Ρουάντα',
  'Αγία Ελένη',
  'Άγιος Χριστόφορος και Νέβις',
  'Αγία Λουκία',
  'Σαιν-Πιερ και Μικελόν',
  'Άγιος Βικέντιος και Γρεναδίνες',
  'Σαμόα',
  'Άγιος Μαρίνος',
  'Σάο Τομέ και Πρίνσιπε',
  'Σαουδική Αραβία',
  'Σενεγάλη',
  'Σερβία και Μαυροβούνιο',
  'Σεϋχέλλες',
  'Σιέρα Λεόνε',
  'Σιγκαπούρη',
  'Σλοβακία',
  'Σλοβενία',
  'Νήσοι Σολομώντος',
  'Σομαλία',
  'Νότια Αφρική',
  'Νότια Γεωργία και Νότιες Σάντουιτς Νήσοι',
  'Ισπανία',
  'Nησιά Σπάρτλυ',
  'Σρι Λάνκα',
  'Σουδάν',
  'Σουρινάμ',
  'Αρχιπέλαγος Σβάλμπαρντ',
  'Σουαζιλάνδη',
  'Σουηδία',
  'Ελβετία',
  'Συρία',
  'Ταϊβάν',
  'Τατζικιστάν',
  'Τανζανία',
  'Ταϊλάνδη',
  'Ανατολικό Τιμόρ',
  'Τόγκο',
  'Τοκελάου',
  'Τόνγκα',
  'Τρινιντάντ και Τομπάγκο',
  'Νήσος Τρόμελιν',
  'Τυνησία',
  'Τουρκία',
  'Τουρκμενιστάν',
  'Νήσοι Τερκς και Κάικος',
  'Τουβαλού',
  'Ουγκάντα',
  'Ουκρανία',
  'Ηνωμένα Αραβικά Εμιράτα',
  'Ηνωμένο Βασίλειο',
  'Ηνωμένες Πολιτείες',
  'Ουρουγουάη',
  'Ουζμπεκιστάν',
  'Βανουάτου',
  'Βενεζουέλα',
  'Βιετνάμ',
  'Παρθένοι Νήσοι',
  'Νήσος Γουέικ',
  'Ουώλλις και Φουτούνα',
  'Δυτική Όχθη',
  'Δυτική Σαχάρα',
  'Υεμένη',
  'Ζάμπια',
  'Ζιμπάμπουε',
];

export function suggest(
  query: string,
  syncResults: (options: string[]) => void
): void {
  syncResults(
    query
      ? results.filter(function (result) {
          return result.toLowerCase().indexOf(query.toLowerCase()) !== -1;
        })
      : results
  );
}
/* end Helpers Utils __stories__ */
