import React from 'react';
import Button, { ButtonProps } from '@digigov/react-core/Button';

export * from '@digigov/react-core/Button';
export interface ContinueButtonProps extends ButtonProps {
  label?: string;
  ref?: React.Ref<HTMLButtonElement>;
}

export const ContinueButton: React.FC<ContinueButtonProps> = ({
  label = 'Continue',
  children,
  ...props
}) => {
  return <Button {...props}>{label || children}</Button>;
};

export * from '@digigov/ui/form/Button/CallToAction';
export * from '@digigov/ui/form/Button/ButtonLink';
export * from '@digigov/ui/form/Button/ThemeToggleButton';
export * from '@digigov/react-core/ButtonGroup';
export default Button;
