import React from 'react';

import { Checkbox, CheckboxItem } from '@digigov/ui/form/Checkbox';

import { ErrorMessage } from '@digigov/ui/form/ErrorMessage';
import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';

import { Hint } from '@digigov/ui/typography/Hint';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const WithErrorMessage = () => (
  <FieldContainer error>
    <Fieldset aria-describedby="country-hint country-error">
      <FieldsetLegend>
        Θα ταξιδέψετε σε κάποια από αυτές τις χώρες;
      </FieldsetLegend>
      <Hint id="country-hint">
        Επιλέξτε τις χώρες στις οποίες θα ταξιδέψετε.
      </Hint>
      <ErrorMessage id="country-error">
        <VisuallyHidden>Λάθος:</VisuallyHidden> Επιλέξτε μία ή παραπάνω χώρες.
      </ErrorMessage>
      <Checkbox>
        <CheckboxItem name="country" value="en">
          Αγγλία
        </CheckboxItem>
        <CheckboxItem name="country" value="fr">
          Γαλλία
        </CheckboxItem>
      </Checkbox>
    </Fieldset>
  </FieldContainer>
);

export default WithErrorMessage;
