import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { ConditionalReveal } from '@digigov/ui/form/Checkbox/__stories__/ConditionalReveal';
import { Default } from '@digigov/ui/form/Checkbox/__stories__/Default';
import { Dense } from '@digigov/ui/form/Checkbox/__stories__/Dense';
import { Inline } from '@digigov/ui/form/Checkbox/__stories__/Inline';
import { InlineWithDivider } from '@digigov/ui/form/Checkbox/__stories__/InlineWithDivider';
import { MultipleQuestions } from '@digigov/ui/form/Checkbox/__stories__/MultipleQuestions';
import { NoneAnswer } from '@digigov/ui/form/Checkbox/__stories__/NoneAnswer';
import { NoneAnswerWithError } from '@digigov/ui/form/Checkbox/__stories__/NoneAnswerWithError';
import { WithErrorMessage } from '@digigov/ui/form/Checkbox/__stories__/WithErrorMessage';
import { WithHint } from '@digigov/ui/form/Checkbox/__stories__/WithHint';

test('renders the All Checkbox variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="ConditionalReveal">
      <ConditionalReveal />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
    <TestVariant title="Inline">
      <Inline />
    </TestVariant>
    <TestVariant title="InlineWithDivider">
      <InlineWithDivider />
    </TestVariant>
    <TestVariant title="MultipleQuestions">
      <MultipleQuestions />
    </TestVariant>
    <TestVariant title="NoneAnswer">
      <NoneAnswer />
    </TestVariant>
    <TestVariant title="NoneAnswerWithError">
      <NoneAnswerWithError />
    </TestVariant>
    <TestVariant title="WithErrorMessage">
      <WithErrorMessage />
    </TestVariant>
    <TestVariant title="WithHint">
      <WithHint />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
