import React from 'react';
import {
  DateInputContainer,
  DateInputItem,
} from '@digigov/ui/form/DateInputContainer';
import { ErrorMessage } from '@digigov/ui/form/ErrorMessage';
import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';
import { Hint } from '@digigov/ui/typography/Hint';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const DateInputError = () => (
  <FieldContainer error id="passport-date">
    <Fieldset>
      <FieldsetLegend>Ποιά είναι η ημερομηνία γέννησής σας;</FieldsetLegend>
      <Hint>Για παράδειγμα, 05 11 2020</Hint>
      <ErrorMessage>
        <VisuallyHidden>Λάθος:</VisuallyHidden>Η ημερομηνία γέννησης πρέπει να
        έχει έτος.
      </ErrorMessage>
      <DateInputContainer>
        <DateInputItem name="day">Ημέρα</DateInputItem>
        <DateInputItem name="month">Μήνας</DateInputItem>
        <DateInputItem error width={4} name="year">
          Έτος
        </DateInputItem>
      </DateInputContainer>
    </Fieldset>
  </FieldContainer>
);

export default DateInputError;
