import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/ui/form/SelectContainer/__stories__/Default';
import { Dense } from '@digigov/ui/form/SelectContainer/__stories__/Dense';
import { DisabledInput } from '@digigov/ui/form/SelectContainer/__stories__/DisabledInput';
import { WithHint } from '@digigov/ui/form/SelectContainer/__stories__/WithHint';

test('renders the All SelectContainer variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
    <TestVariant title="DisabledInput">
      <DisabledInput />
    </TestVariant>
    <TestVariant title="WithHint">
      <WithHint />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
