import React from 'react';
import { ErrorMessage } from '@digigov/ui/form/ErrorMessage';
import {
  FieldContainer,
  Fieldset,
  FieldsetLegend,
} from '@digigov/ui/form/FieldContainer';
import {
  SingleCharacterInputs,
  SingleCharacterInput,
} from '@digigov/ui/form/SingleCharacterInputs';
import { Hint } from '@digigov/ui/typography/Hint';
import { VisuallyHidden } from '@digigov/ui/utils/VisuallyHidden';

export const WithErrorMessageInvalidCode = () => (
  <FieldContainer error>
    <Fieldset aria-describedby="code-hint">
      <FieldsetLegend heading>Κωδικός Επιβεβαίωσης</FieldsetLegend>
      <Hint id="code-hint">
        Εισάγετε τον μοναδικό κωδικό που λάβατε στο ηλεκτρονικό σας ταχυδρομείο.
      </Hint>
      <ErrorMessage id="code-error">
        <VisuallyHidden>Λάθος:</VisuallyHidden>
        Έχετε εισάγει λάθος κωδικό.
      </ErrorMessage>
      <SingleCharacterInputs aria-describedby="code-error">
        <SingleCharacterInput name="first-digit" defaultValue={4} error />
        <SingleCharacterInput name="second-digit" defaultValue={4} error />
        <SingleCharacterInput name="third-digit" defaultValue={5} error />
        <SingleCharacterInput name="forth-digit" defaultValue={1} error />
        <SingleCharacterInput name="fifth-digit" defaultValue={2} error />
        <SingleCharacterInput name="sixth-digit" defaultValue={3} error />
      </SingleCharacterInputs>
    </Fieldset>
  </FieldContainer>
);

export default WithErrorMessageInvalidCode;
