import React from 'react';
import { ErrorMessage } from '@digigov/ui/form/ErrorMessage';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextArea } from '@digigov/ui/form/TextArea';
import { Hint } from '@digigov/ui/typography/Hint';

export const WithErrorMessage = () => (
  <FieldContainer error aria-describedby="info-error">
    <LabelContainer>
      <LabelTitle size="md">
        Μπορείτε να δώσετε περισσότερες πληροφορίες;
      </LabelTitle>
      <Hint id="info-hint">
        Στις πληροφορίες μην προσθέσετε προσωπικά ή οικονομικά δεδομένα, όπως το
        ΑΜΑ ή δεδομένα πιστωτικής κάρτας.
      </Hint>
      <ErrorMessage id="info-error">Εισάγετε περιεχόμενο</ErrorMessage>
      <TextArea name="textarea" error aria-describedby="info-hint"></TextArea>
    </LabelContainer>
  </FieldContainer>
);

export default WithErrorMessage;
