import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/ui/form/TextArea/__stories__/Default';
import { Dense } from '@digigov/ui/form/TextArea/__stories__/Dense';
import { DisabledInput } from '@digigov/ui/form/TextArea/__stories__/DisabledInput';
import { LimitedCharacters } from '@digigov/ui/form/TextArea/__stories__/LimitedCharacters';
import { MultipleQuestions } from '@digigov/ui/form/TextArea/__stories__/MultipleQuestions';
import { WithDeclaredRows } from '@digigov/ui/form/TextArea/__stories__/WithDeclaredRows';
import { WithErrorMessage } from '@digigov/ui/form/TextArea/__stories__/WithErrorMessage';
import { WithHint } from '@digigov/ui/form/TextArea/__stories__/WithHint';

test('renders the All TextArea variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
    <TestVariant title="DisabledInput">
      <DisabledInput />
    </TestVariant>
    <TestVariant title="LimitedCharacters">
      <LimitedCharacters />
    </TestVariant>
    <TestVariant title="MultipleQuestions">
      <MultipleQuestions />
    </TestVariant>
    <TestVariant title="WithDeclaredRows">
      <WithDeclaredRows />
    </TestVariant>
    <TestVariant title="WithErrorMessage">
      <WithErrorMessage />
    </TestVariant>
    <TestVariant title="WithHint">
      <WithHint />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
