import React from 'react';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextInput } from '@digigov/ui/form/TextInput';
import { Hint } from '@digigov/ui/typography/Hint';

export const AskingForNumbers = () => (
  <FieldContainer>
    <LabelContainer>
      <LabelTitle size="md">ΑΦΜ πελάτη</LabelTitle>
      <Hint id="input-hint">Πρέπει να είναι ακριβώς 9 ψηφία.</Hint>
      <TextInput
        aria-describedby="input-hint"
        name="inputext"
        pattern="[0-9]*"
        inputMode="numeric"
      ></TextInput>
    </LabelContainer>
  </FieldContainer>
);

export default AskingForNumbers;
