import React from 'react';
import { LockIcon } from '@digigov/react-icons';
import { FieldContainer } from '@digigov/ui/form/FieldContainer';
import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextInput } from '@digigov/ui/form/TextInput';
import { Hint } from '@digigov/ui/typography/Hint';

export const DisabledInputWithValue = () => (
  <FieldContainer>
    <LabelContainer>
      <LabelTitle size="md">Όνομα</LabelTitle>
      <TextInput
        aria-describedby="input-hint"
        name="inputext"
        value={'Μάριος'}
        disabled
      ></TextInput>
      <Hint id="input-hint" size="sm">
        <LockIcon mr={1} mb={1} />
        Πεδίο μόνο για προβολή
      </Hint>
    </LabelContainer>
  </FieldContainer>
);

export default DisabledInputWithValue;
