import React from 'react';
import NormalText from '@digigov/react-core/NormalText';
import { useTranslation } from '@digigov/ui/i18n';
import Link from '@digigov/ui/navigation/Link';

export const LicenseCCSA: React.FC = () => {
  const { t } = useTranslation();
  return (
    <NormalText>
      <>
        {t('footer.creative_commons')}{' '}
        <Link
          href="https://creativecommons.org/licenses/by-sa/4.0/deed.el"
          target="_blank"
          rel="noopener noreferrer"
        >
          CC-BY-SA
        </Link>{' '}
      </>
    </NormalText>
  );
};

export default LicenseCCSA;
