export default {
  form: {
    label: {
      day: 'Day',
      month: 'Month',
      year: 'Year',
    },
    error: {
      required: 'This field is required.',
      number: 'Please enter a valid number',
      positive_integer_number: 'Please enter a positive integer number',
      string: 'This field must be a string',
      email: 'Please enter a valid email address (e-mail).',
      afm: 'The VAT number you entered is incorrect.',
      file_size: 'File size is larger than allowed ({{maxSizeToMb}}Mb).',
      image_size: 'Image size is larger than allowed ({{maxSizeToMb}}Mb).',
      mobile_phone: 'Fill in a valid mobile phone number.',
      landline: 'Fill in a valid landline phone number.',
      phone_number: 'Fill in a valid phone number.',
      uuid4: 'Confirmation code is invalid.',
      iban: 'Fill in a valid IBAN number',
      postalCode: 'Fill in a valid postal code number.',
      array: {
        min: 'This field should have at least {{min}} records. Add one more by selecting the answer “Yes“ in the next question.',
        max: 'You have reached the maximum limit of {{max}} records. If you want to add one more, please remove one of the answers above. Otherwise, select “No“ as an answer.',
        length: 'This field should have exactly {{length}} records',
      },
      date: {
        invalid: 'Date must be a real date.',
        earlier_than: 'The date must be earlier than {{maxDate}}.',
        later_than: 'The date must be later than {{minDate}}',
      },
      text: {
        more_than: 'You have surpass the {{max}} characters limit.',
        less_than: 'You need at least {{min}} characters.',
      },
      image: {
        image_dimension_size:
          'The dimensions you entered exceed the expected limits. Minimum size ({{minWidth}}x{{minHeight}})px, Maximum Size: ({{maxWidth}}x{{maxHeight}})px',
      },
    },
    info: {
      text: {
        you_have: 'You have',
        need_at_least: 'You need at least',
        characters: 'characters',
        character: 'character',
        remaining: 'remaining',
        too_many: 'too many',
      },
    },
  },
  button: {
    start: 'Start',
    login: 'Login',
    back: 'Back',
    continue: 'Continue',
    search_ref: 'Search',
    scan: 'Scan QR Code',
    save: 'Save',
    logout: 'Logout',
    submit: 'Sumbit',
    delete: 'Delete',
  },
  footer: {
    created_by: 'Created by',
    grnet: 'GRNET',
    created_for: 'for the',
    mindigital: 'Ministry of Digital Governance',
    using: 'using',
    open_source: 'Open Source Software',
    creative_commons: 'Creative Commons',
  },
  notfound: {
    page_not_found: 'Page not found',
    wrong_key_address: 'If you typed the web address, check it is correct.',
    wrong_cp_address:
      'If you pasted the web address, check you copied the entire address..',
    service_contact:
      'If the web address is correct or you selected a link or button, contact the Service Helpline if you need to speak to someone about your tax credits.',
  },
  outdated: {
    mobile:
      'This site may not work properly because your browser is either not supported or outdated. Please update your browser',
    web: 'This site may not work properly because your browser outdated. To update your browser visit: ',
  },
  pagination: {
    show: 'Showing',
    to: 'to',
    of: 'of',
    results: 'results',
    label: 'Showing <b>{start}</b> to <b>{end}</b> of <b>{total}</b> results',
  },
  upload: {
    file: 'File',
    choose_file: 'Choose file',
    change_file: 'Change file',
    reset_file: 'Reset file',
    change_image: 'Change image',
    choose_image: 'Choose image',
    no_file: 'You have not selected a file',
    no_image: 'You have not selected an image',
  },
  'copy-to-clipboard': {
    message: 'Text copied!',
  },
};
