import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/ui/layouts/Basic/__stories__/Default';
import { MultipleRowsLayout } from '@digigov/ui/layouts/Basic/__stories__/MultipleRowsLayout';
import { TwoThirdsOneThirdColumns } from '@digigov/ui/layouts/Basic/__stories__/TwoThirdsOneThirdColumns';
import { WithBasicLayout } from '@digigov/ui/layouts/Basic/__stories__/WithBasicLayout';

test('renders the All Basic variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="MultipleRowsLayout">
      <MultipleRowsLayout />
    </TestVariant>
    <TestVariant title="TwoThirdsOneThirdColumns">
      <TwoThirdsOneThirdColumns />
    </TestVariant>
    <TestVariant title="WithBasicLayout">
      <WithBasicLayout />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
