import React from 'react';
import clsx from 'clsx';
import BreadcrumbsListItemBase, {
  BreadcrumbsListItemBaseProps,
} from '@digigov/react-core/BreadcrumbsListItem';
import Link from '@digigov/ui/navigation/Link';

export interface BreadcrumbsListItemProps extends BreadcrumbsListItemBaseProps {
  href?: string;
}

const BreadcrumbsListItem: React.FC<BreadcrumbsListItemProps> = ({
  href,
  children,
  ...props
}) => {
  return (
    <BreadcrumbsListItemBase {...props}>
      <Link
        href={href}
        defaultStyle={false}
        className={clsx({
          'ds-breadcrumbs__link': true,
          'ds-breadcrumbs__link--inactive': href === undefined,
        })}
      >
        {children}
      </Link>
    </BreadcrumbsListItemBase>
  );
};

export { BreadcrumbsListItem };
export default BreadcrumbsListItem;
