import React from 'react';
import {
  Breadcrumbs,
  BreadcrumbsList,
  BreadcrumbsListItem,
} from '@digigov/ui/navigation/Breadcrumbs';
import { LinkProvider } from '@digigov/ui/navigation/Link';

const CustomLink: React.FC<any> = (props) => {
  return <div>custom link: {props.children}</div>;
};

export const WithProvider = () => (
  <LinkProvider component={CustomLink}>
    <Breadcrumbs role="navigation">
      <BreadcrumbsList>
        <BreadcrumbsListItem href="#">Αρχική</BreadcrumbsListItem>
        <BreadcrumbsListItem href="#">Υγεία και πρόνοια</BreadcrumbsListItem>
        <BreadcrumbsListItem href="#">Φάκελος υγείας</BreadcrumbsListItem>
        <BreadcrumbsListItem aria-current="page">
          Άυλη συνταγογράφηση
        </BreadcrumbsListItem>
      </BreadcrumbsList>
    </Breadcrumbs>
  </LinkProvider>
);

export default WithProvider;
