import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Auto } from '@digigov/ui/navigation/Breadcrumbs/__stories__/Auto';
import { Default } from '@digigov/ui/navigation/Breadcrumbs/__stories__/Default';
import { WithHook } from '@digigov/ui/navigation/Breadcrumbs/__stories__/WithHook';
import { WithoutCurrentPage } from '@digigov/ui/navigation/Breadcrumbs/__stories__/WithoutCurrentPage';
import { WithProvider } from '@digigov/ui/navigation/Breadcrumbs/__stories__/WithProvider';

test('renders the All Breadcrumbs variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Auto">
      <Auto />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="WithHook">
      <WithHook />
    </TestVariant>
    <TestVariant title="WithoutCurrentPage">
      <WithoutCurrentPage />
    </TestVariant>
    <TestVariant title="WithProvider">
      <WithProvider />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
