import React from 'react';

import { FieldContainer } from '@digigov/ui/form/FieldContainer';

import { LabelContainer, LabelTitle } from '@digigov/ui/form/LabelContainer';
import { TextInput } from '@digigov/ui/form/TextInput';
import { SectionBreak } from '@digigov/ui/layouts/SectionBreak';
import {
  DropdownBase,
  DropdownButton,
  DropdownContent,
} from '@digigov/ui/navigation/Dropdown';
import { NavListItemAction, NavList } from '@digigov/ui/navigation/NavList';

export const Disabled = () => (
  <DropdownBase disabled>
    <DropdownButton
      role="button"
      aria-haspopup="true"
      aria-controls="menu2"
      arrow
    >
      Ενέργειες
    </DropdownButton>
    <DropdownContent role="menu" id="menu2">
      <FieldContainer role="menuitem">
        <LabelContainer>
          <LabelTitle>Όνομα πεδίου</LabelTitle>
          <TextInput name="input-name" />
        </LabelContainer>
      </FieldContainer>
      <SectionBreak role="separator" paddingBottom={0} paddingTop={0} />
      <NavList layout="vertical">
        <NavListItemAction role="menuitem" href="#">
          Επεξεργασία
        </NavListItemAction>
        <NavListItemAction role="menuitem" href="#">
          Μετακίνηση
        </NavListItemAction>
        <NavListItemAction role="menuitem" href="#">
          Οριστική διαγραφή
        </NavListItemAction>
      </NavList>
    </DropdownContent>
  </DropdownBase>
);

export default Disabled;
