import React from 'react';
import {
  NavList,
  NavListItemAction,
  useNavList,
} from '@digigov/ui/navigation/NavList';

const links = [
  {
    name: 'home',
    href: '#home',
    label: 'Αρχική',
  },
  {
    name: 'educational',
    label: 'Εκπαιδευτικό υλικό',
    href: '#educational',
  },
  {
    name: 'news',
    href: '#news',
    label: 'Νέα',
  },
];

export const NavListWithoutNav = () => {
  const layout = 'vertical';
  const { registerNavItem } = useNavList();

  return (
    <NavList layout={layout}>
      {links.map((item, key) => (
        <NavListItemAction {...registerNavItem(item)} key={key}>
          {item.label}
        </NavListItemAction>
      ))}
    </NavList>
  );
};

export default NavListWithoutNav;
