import React, { useState } from 'react';
import { Button } from '@digigov/ui/form/Button';
import { BurgerIcon } from '@digigov/ui/icons';
import { NavListAuto } from '@digigov/ui/navigation/NavList';

const links = [
  { name: 'home', href: '#home', label: 'Αρχική' },
  {
    name: 'educational',
    label: 'Εκπαιδευτικό υλικό',
    subMenuHeading: 'Εκπαιδευτικό υλικό',
    subMenu: [
      {
        name: 'elearning',
        href: '#elearning',
        label: 'Εκπαιδευτική πλατφόρμα',
      },
      {
        name: 'videos',
        href: '#videos',
        label: 'Βίντεο',
      },
      {
        name: 'presentations',
        href: '#presentations',
        label: 'Παρουσιάσεις',
      },
      {
        name: 'promoting',
        href: '#promoting',
        label: 'Προωθώντας την αθλητική ακεραιότητα στην νέα γενιά',
      },
      {
        name: 'other-texts',
        href: '#other-texts',
        label: 'Άλλα κείμενα',
      },
    ],
  },
  { name: 'news', href: '#news', label: 'Νέα' },
];

export const UsingNavListAuto = () => {
  const layout = 'horizontal';
  const drawer = 'smDown';
  const border = true;
  const [open, setOpen] = useState(false);
  return (
    <>
      <Button color="secondary" onClick={() => setOpen(!open)} smUpHidden>
        Επιλογές <BurgerIcon />
      </Button>
      <NavListAuto
        layout={layout}
        border={border}
        drawer={drawer}
        open={open}
        links={links}
        onClose={() => setOpen(false)}
        aria-label="Nav list"
      ></NavListAuto>
    </>
  );
};

export default UsingNavListAuto;
