import React from 'react';
import { NavProps } from '@digigov/react-core/Nav';

export type NavListLayout = 'horizontal' | 'vertical';
interface NavListItemMenuInterface {
  links: NavListItemLinkInterface[];
  title?: string;
}
export interface NavLinkInterface {
  label?: string;
  name: string;
  href?: string;
  subMenuHeading?: string;
  subMenu?: NavLinkInterface[];
  menu?: NavListItemMenuInterface;
}
export interface NavListAutoProps extends NavProps {
  children?: React.ReactNode;
  className?: string;
  layout?: NavListLayout;
  border?: boolean;
  fixed?: boolean;
  role?: string;
  openSubMenus?: boolean;
  floating?: boolean;
  subMenu?: boolean;
  links?: NavLinkInterface[];
  style?: React.CSSProperties;
}

export interface NavListHeaderItemType {
  name: string;
  label?: string;
  title?: string;
  children?: React.ReactNode;
  menu: {
    links: NavListItemLinkInterface[];
  };
}

interface NavListItemInterface {
  name: string;
  label?: string;
}

interface NavListItemLinkInterface extends NavListItemInterface {
  href: string;
}

export type NavListItemType =
  | NavListItemLinkInterface
  | NavListItemMenuContainerInterface
  | NavListItemSubMenuInterface;

export interface NavListItemMenuContainerInterface
  extends NavListItemInterface {
  menu: NavListItemMenuInterface[];
}

export interface NavListItemSubMenuInterface extends NavListItemInterface {
  subMenu: NavListItemType[];
}
