import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Auto } from '@digigov/ui/navigation/Tabs/__stories__/Auto';
import { Default } from '@digigov/ui/navigation/Tabs/__stories__/Default';
import { Dense } from '@digigov/ui/navigation/Tabs/__stories__/Dense';
import { UsingAccordion } from '@digigov/ui/navigation/Tabs/__stories__/UsingAccordion';

test('renders the All Tabs variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Auto">
      <Auto />
    </TestVariant>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Dense">
      <Dense />
    </TestVariant>
    <TestVariant title="UsingAccordion">
      <UsingAccordion />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
