import React from 'react';

import CodeBlock from '@digigov/ui/typography/CodeBlock';

const bashExample = `{
  "random": random(1, 100),
  "random float": randomFloat(1, 100, 3),
  "bool": randomBool(),
  "date": date('Y-m-d', '1980-01-01', '2000-01-15'),
  "regEx": regex(/hello+ (world|to you)/),
  "enum": choice('json', 'generator', 'online'),
  "firstname": firstname(),
  "lastname": lastname(),
  "city": city(),
  "country": country(),
  "countryCode": countryCode()
}`;

export const WithCopyToClipboard = () => {
  return (
    <CodeBlock highlighted language="bash" copyToClipboard>
      {bashExample}
    </CodeBlock>
  );
};

export default WithCopyToClipboard;
