import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/ui/typography/CodeBlock/__stories__/Default';
import { Highlighted } from '@digigov/ui/typography/CodeBlock/__stories__/Highlighted';
import { WithCopyToClipboard } from '@digigov/ui/typography/CodeBlock/__stories__/WithCopyToClipboard';
import { WithPhaseBanner } from '@digigov/ui/typography/CodeBlock/__stories__/WithPhaseBanner';

test('renders the All CodeBlock variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="Highlighted">
      <Highlighted />
    </TestVariant>
    <TestVariant title="WithCopyToClipboard">
      <WithCopyToClipboard />
    </TestVariant>
    <TestVariant title="WithPhaseBanner">
      <WithPhaseBanner />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
