import React from 'react';
import { test, expect } from '@playwright/experimental-ct-react';
import TestVariant from '@digigov/ui/utils/TestVariant'
import { Default } from '@digigov/ui/typography/NormalText/__stories__/Default';
import { FontSizes } from '@digigov/ui/typography/NormalText/__stories__/FontSizes';
import { FontWeight } from '@digigov/ui/typography/NormalText/__stories__/FontWeight';
import { Variants } from '@digigov/ui/typography/NormalText/__stories__/Variants';

test('renders the All NormalText variants', async ({ mount, page }) => {
  await mount(
    
  <div>
    <TestVariant title="Default">
      <Default />
    </TestVariant>
    <TestVariant title="FontSizes">
      <FontSizes />
    </TestVariant>
    <TestVariant title="FontWeight">
      <FontWeight />
    </TestVariant>
    <TestVariant title="Variants">
      <Variants />
    </TestVariant>
  </div>
  )
  await page.evaluate(() => document.fonts.ready);

  const screenshot = await page.screenshot({ fullPage: true, animations: 'disabled' });
  expect(screenshot).toMatchSnapshot();
});
  
